Bug Hunting Session
Bug 127913 - CRASH: applying popart filter to an image
Summary: CRASH: applying popart filter to an image
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-10-01 19:44 UTC by Xisco Faulí
Modified: 2019-10-03 09:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (115.86 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-10-01 19:44 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-10-01 19:44:28 UTC
Created attachment 154688 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Select the image
3. In the Image toolbar go to Filter - Popart

-> Crash

Reproduced in

Version: 6.3.0.0.alpha1+
Build ID: c98b1f1cd43b3e109bcaf6324ef2d1f449b34099
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-10-01 19:45:39 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1cd32bcf1b92bd53320717626601135623dadd55

author	Noel Grandin <noel.grandin@collabora.co.uk>	2018-12-10 11:28:59 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2018-12-11 06:26:48 +0100
commit	1cd32bcf1b92bd53320717626601135623dadd55 (patch)
tree	5f33c3b070ac297bdba6bacb904d4ecd9644bef8
parent	34d5e910adba4094bba1303284f9552028d0b019 (diff)
loplugin:useuniqueptr in vcl

Bisected with: bibisect-linux64-6.3

Adding Cc: to Noel Grandin
Comment 2 Commit Notification 2019-10-02 09:12:33 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e347a6bbb58a20e29e691a194c1cd3193d2c5a23

tdf#127913 crash applying popart filter to an image

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-10-02 11:55:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/7fc057876e21c857cd033502a5cc02a07c462a58

tdf#127913 crash applying popart filter to an image

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-10-03 09:13:19 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: c9336bfb6bbf6d73d3f23c124262ade30133448d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!